### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-pagination/ecl-pagination-item.component.ts`

### Metadata

selector | `ecl-pagination-item`
templateUrl | `./ecl-pagination-item.component.html`

### Index

###### Methods
onPageClick
###### Inputs
ariaCurrent ariaLabel href isCurrent isNext isPrevious label styleClass
###### Outputs
pageClick
###### HostBindings
class

### Inputs

ariaCurrent
Type : `boolean`

ariaLabel
Type : `string`

href
Type : `string`
Default value : `''`

isCurrent
Type : `boolean`

isNext
Type : `boolean`

isPrevious
Type : `boolean`

label
Type : `string`

styleClass
Type : `string`

### Outputs

pageClick
Type : `EventEmitter`

### HostBindings

class
Type : `any`

### Methods

onPageClick
`onPageClick(evt)`
Parameters :
Name | Optional
evt | No
Returns : `void`

# result-matching ""

# No results matching ""